View Issue Details

IDProjectCategoryView StatusLast Update
0003254GNUnetcadet servicepublic2014-04-08 16:42
ReporterBart PolotAssigned ToBart Polot 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003254: Mesh tries to rekey loopback tunnels
DescriptionAfter running for a long time:
Jan 07 10:27:31-571150 mesh-tun-19194 DEBUG Re-key Tunnel VGR0
Jan 07 10:27:31-571181 mesh-tun-19194 DEBUG send_ephemeral()
Jan 07 10:27:31-571188 mesh-tun-19194 DEBUG GMT KX on Tunnel VGR0
Jan 07 10:27:31-571193 mesh-tun-19194 DEBUG loopback!
Jan 07 10:27:31-571198 mesh-19194 ERROR Assertion failed at gnunet-service-mesh_tunnel.c:904.

Could be that after 12h the new ephemeral key causes rekey on *ALL* tunnels, not skipping loopback.
TagsNo tags attached.

Activities

Bart Polot

2014-01-21 16:13

manager   ~0008027

Fixed in r31988.

Issue History

Date Modified Username Field Change
2014-01-07 10:29 Bart Polot New Issue
2014-01-07 10:29 Bart Polot Status new => assigned
2014-01-07 10:29 Bart Polot Assigned To => Bart Polot
2014-01-21 16:13 Bart Polot Note Added: 0008027
2014-01-21 16:13 Bart Polot Status assigned => resolved
2014-01-21 16:13 Bart Polot Fixed in Version => SVN HEAD
2014-01-21 16:13 Bart Polot Resolution open => fixed
2014-02-02 10:53 Christian Grothoff Fixed in Version SVN HEAD => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service